%define branch_point alt2
%define branch M40
%define revision 1

Name: skencil
Version: 0.6.17
Release: %branch_point.%branch.%revision

Summary: Drawing tool

License: GPL
Group: Graphics
Url: http://www.nongnu.org/skencil/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.sourceforge.net/sketch/%name-%version.tar.bz2
Source1: %name.desktop
Patch1: sketch-0.6.15-tk-include-path.patch.bz2
Patch2: sketch-0.6.16pre2-lib64.patch.bz2
Patch3: skencil-0.6.17-multilib.patch
Patch4: skencil-0.6.17-locale.patch

# manually removed: eric
# Automatically added by buildreq on Tue Apr 29 2008
BuildRequires: python-devel python-module-imaging-devel python-modules-compiler tk-devel

BuildPreReq: libXext-devel

%add_python_req_skip Graphics Lib Script Sketch X _sketch config connector pax skexceptions streamfilter undo

Provides: sketch = %version
Obsoletes: sketch

%description
Drawing tool written in Python, using Bezier curves. Need to install tkinter.

%prep
%setup -q
%patch3 -p1
mv Pax/README Pax/README.pax
mv Pax/COPYING Pax/COPYING.pax
mv Filter/COPYING Filter/COPYING.filter
mv Filter/README Filter/README.filter
mv Tools/README Tools/README.tools
mv Tools/COPYING Tools/COPYING.tools
find -name 'Makefile.pre.in' -print0 | xargs -r0 -- sed -i 's/LIBP=/LIBP?=/'
%patch4 -p1

%build
export LIBP=%python_libdir
%__python setup.py configure --with-nls \
	--python-setup=%python_libdir/config/Setup --tk-flags="-ltcl -ltk" LIBDIR=%_libdir
%__python setup.py build

%install
strip -S Pax/*.so
strip -S Filter/*.so
strip -S Sketch/Modules/*.so
%__python setup.py install --prefix=%buildroot%prefix --lib-dir=%buildroot%_libdir/%name-%version
install -m 755 Tools/mkfontdb.py %buildroot%_bindir
#mv %buildroot%_libdir/%name %buildroot%_libdir/%name

#install menu
mkdir -p %buildroot%_desktopdir/
install -m 644 %SOURCE1 %buildroot%_desktopdir/

#fix installation on x86_64
#ifarch x86_64
#mkdir -p %buildroot%_libdir
#mv %buildroot%_libdir/skencil-%version %buildroot%_libdir/
#endif
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_libdir/%name-%version/
%_bindir/*
%_desktopdir/*
%doc Examples Doc
%doc README INSTALL BUGS CREDITS TODO PROJECTS FAQ NEWS COPYING
%doc Pax/README.pax Pax/COPYING.pax Pax/COPYING.xext
%doc Filter/README.filter Filter/COPYING.filter
%doc Tools/README.tools Tools/COPYING.tools
#%doc Misc

%changelog
* Sat May 03 2008 Hihin Ruslan <ruslandh@altlinux.ru> 0.6.17-alt2.M40.1
- add setlocale

* Tue Feb 20 2007 Vitaly Lipatov <lav@altlinux.ru> 0.6.17-alt1
- fix build on x86_64 again (patch from Damir Shayhutdinov <damir@altlinux.ru>), bug #10796
- cleanup spec, replace Debian menu with desktop menu

* Wed Oct 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.6.17-alt0.3
- cleanup spec

* Sat Sep 30 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.6.17-alt0.2
- Fixed build for x86_64

* Tue Nov 22 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.17-alt0.1
- new version
- update spec

* Thu Apr 14 2005 Vitaly Lipatov <lav@altlinux.ru> 0.6.16-alt0.1
- first build for ALT Linux Sisyphus

* Wed May  5 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6.16-1mdk
- new name for sketch

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.6.16-0.pre2.3mdk
- Fix menu

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.16-0.pre2.2mdk
- lib64 fixes

* Wed Sep 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.16-0.pre2.1mdk
- Fix Bug#4778 : update to 0.6.16pre2 reported by the author to work with latest python.

* Wed May 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.15-2mdk
- rebuild against tcl8.4

* Wed Feb 19 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.6.15-1mdk
- Bump to version 0.6.15.

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.13-2mdk
- Update source2 : Remove NO_XALF menu entry

* Sat Mar 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.13-1mdk
- Shiniest sketch up till now.

* Thu Jan 10 2002 David BAUDENs <baudens@mandrakesoft.com> 0.6.12-4mdk
- Fix %%post

* Wed Jan 09 2002 David BAUDENs <baudens@mandrakesoft.com> 0.6.12-3mdk
- Fix menu entry (png icon)

* Tue Sep 11 2001 David BAUDENS <baudens@mandrakesoft.com> 0.6.12-2mdk
- Use standard icons
- Clean after build

* Sun Jul 08 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.12-1mdk
- Bump up to 0.6.12 the newest and shiniest source.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.11-2mdk
- new office menu structure

* Tue Jun 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.11-1mdk
- New and shiny 0.6.11.
- Use Python Imaging 1.1.2 (crack open Source RPM for some more info).
- Make fg's loop perl replacement silent aka set -x.

* Sat May 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.10-1mdk
- New and shiny 0.6.10.
- Update Python Imaging to 1.0.
- Compile with NLS.
- Patch0 to fix directory not found %_includedir/{tcl,tk}8.3.

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.9-2mdk
- Correct GNOME menu entry

* Wed Mar  7 2001 DindinX <flepied@mandrakesoft.com> 0.6.9-1mdk
- 0.6.9
- removed patch for python 2.0 compilation (fixed in 0.6.9)

* Sat Nov 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.8-3mdk
- added patch for python 2.0 compilation.

* Fri Oct 06 2000 DindinX <odin@mandrakesoft.com> 0.6.8-2mdk
- fix 32x32 and 48x48 icons

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.6.8-1mdk
- s|0.6.7|0.6.8|.
- rebuild with new tcltk libs
- fix a FIXME: add url for source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6.7-3mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesot.com> 0.6.7-2mdk
- macrosifications
- rebuild for the new tcltk 8.3
- rebuild for the BM

* Mon Jun 19 2000 DindinX <odin@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-4mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 0.6.5-3mdk
- remove menu icon path

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 0.6.5-2mdk
- Added nice Hlne's menu icon

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 0.6.5-1mdk
- New version
- Added menu entry

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.6.3-6mdk
- Many fixes to the spec file...
  The install script is _really_ broken

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Major spec file fixes
- Made it work

* Mon Jan 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for oxygen

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the URL tag

* Tue Dec 28 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix pyhton-imaging requires (thanks Fred)

* Mon Dec 27 1999 Lenny Cartier <lenny@mandrakesoft.com>
- first specfile for sketch
- new in contribs
- little trick to make it compile
